> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get checks

> Get all checks, including internal and external checks.



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /checks
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /checks:
    get:
      tags:
        - Checks
      summary: Get checks
      description: Get all checks, including internal and external checks.
      operationId: getChecks
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChecksResponse'
components:
  schemas:
    ChecksResponse:
      type: object
      properties:
        checks:
          type: array
          items:
            $ref: '#/components/schemas/Check'
      required:
        - checks
      additionalProperties: false
    Check:
      type: object
      properties:
        id:
          type: string
        ownerEntityRef:
          type: string
        name:
          type: string
          minLength: 1
          maxLength: 100
        description:
          type: string
        filter:
          $ref: '#/components/schemas/EntityFilter'
      required:
        - id
      additionalProperties: false
    EntityFilter:
      oneOf:
        - type: object
          additionalProperties:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
        - type: array
          items:
            type: object
            additionalProperties:
              oneOf:
                - type: string
                - type: array
                  items:
                    type: string

````